import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { JsonNullValueInputSchema } from '../enums/JsonNullValueInput.schema'

import { JsonValueSchema as jsonSchema } from '../../helpers/json-helpers';

const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  data: z.union([JsonNullValueInputSchema, jsonSchema])
}).strict();
export const OfficeHoursUncheckedCreateInputObjectSchema: z.ZodType<Prisma.OfficeHoursUncheckedCreateInput> = makeSchema() as unknown as z.ZodType<Prisma.OfficeHoursUncheckedCreateInput>;
export const OfficeHoursUncheckedCreateInputObjectZodSchema = makeSchema();
